Documentation pour UPDSIG.EXE
(c) 1999 Peter Engels
traduit par Claude Steinmetz


History
=======

V 1.0 :  premire dition
V 1.1 :  correctif : trap D en cas de fichier Sig non trouv . 
             correctif : correction du problme 60h
V 1.2 :  implmentation d'un workaround pour le problme des 49-jours
V 1.3 :  implementation manuelle d'un offset  journalier adaptable
             texte de sortie librement dfinissable dans les langages natifs.
             Attention : Les paramtres d'appel sont  prsent transmis au programme, au travers d'un 
             fichier de configuration  externe !
V 1.4 : Positionnement libre du texte de message dans le fichier de signature
            Ajout de  XUpdSig.EXE


Qu'est-ce que UpdSig?
====================
Le petit outil  UpdSig ajoute ou met  jour,  un intervalle ajustable et jusqu' 10 fichiers de signature diffrents pour mailers et/ou newsreaders la ligne suivante :

This OS/2 system uptime is 0d 5h 23m 45s 437ms (en).

La premire partie de ce message ("This OS/2 system uptime is") peut tre librement choisie. Cette nouveaut a pour consquence, qu'un changement dans votre ligne de message n'affectera pas une ligne de signature dj existante dans votre fichier de signature. Il vous faudra donc supprimer manuellement cette ancienne ligne de votre fichier de signature.

J'ai crit ce petit programme pour que tout un chacun puisse profiter de ce petit gadget sans prtention. L'utilisation de scripts REXX en conjonction avec des outils additionnels externes me semblait un peu trop complexe par rapport au but fix.


Qu'est-ce que XUpdSig?
=================

Cet outil produit le mme effet, mais par un chemin totalement diffrent.

Certains clients news et mail , par ex : PMiNews et PMMail, permettent encore d'diter un courrier,   l'aide de script REXX ou autre fichier EXE,  juste avant son expdition relle. C'est exactement ce que fait XUpdSig.  Juste avant qu'un courrier ne soit mis,  XupdSig lit le contenu  complet du message et y ajoute le tampon horaire sur une ligne rserve.

Avantage: 
Il n'y a aucun programme tournant en tche de fond, le processus n'tant lanc qu'en cas de besoin. Ceci permet par exemple de pouvoir remettre en veille les disques durs. De plus, le tampon de mise  l'heure colle toujours exactement  la seconde prs.

Inconvnient: 
Pas de  Workaround possible concernant le problme des  "49-jours", et:  le message complet doit tre lu. Je n'y ai pas inclus d'autres gadgets.


Les paramtres de la ligne de commande
==============================

Ils ont disparus. Au lieu de cela, le programme s'attend  trouver un fichier texte nomm UPDSIG.CFG et se situant dans le mme rpertoire (obligatoire)que le programme UpdSig.EXE lui-mme.

Exemple pour un fichier UPDSIG.CFG:

; texte du message
MessageText = This OS/2 system uptime is

; Timing descriptions
UpdateInterval = 600
OffsetInDays = 123

;tous les fichiers de signature, chemins inclus
;une ligne par fichier, 10 lignes maxi.
e:\internet\myreader\myreader.sig
e:\internet\mynews\mynews.txt

Les lignes commenant par le caractre ";" sont du commentaire.

Dans cet exemple les fichiers de signature du mailer et du newsreader seront mis  jour toutes les 10 minutes (intervalle de 600 secs). De plus, UpdSig considre que le sytme est en fonctionnement continu depuis 123 jours et y ajoute cet offset.
UpdSig fonctionnant compltement en arrire plan, il n'y a aucune manifestation de sa prsence  l'cran. Au cas o UpdSig ne peut accder  l'un des fichiers de signature, vous n'entendrez qu'un bref beep en raction  cette erreur. Le programme sera interrompu.

Installer UpdSig
=================

Installer le programme est extrmement facile.
Copiez simplement  UpdSig.EXE et UpdSig.CFG dans un rpertoire de votre choix sur le disque dur.
Ensuite, vous adaptez le fichier UpdSig.CFG  vos besoins. et enfin, soit vous ajoutez la ligne suivante  votre CONFIG.SYS

run=lecteur:\chemin\updsig.exe

o "lecteur" reprsente votre disque dur et "chemin" , le chemin d'accs  UpdSig.

soit vous crez un objet programme dans votre dossier de dmarrage. Dans ce cas toutefois, vous aurez une icne reprsentant le programme sur votre bureau.

Au cas o vous voulez lancer UpdSig sur un systme en fonctionnement, saisissez la ligne suivante dans une session fentre OS/2:

detach lecteur:\chemin\updsig.exe

UpdSig ajoute normalement le tampon de mise  l'heure aprs la dernire ligne de votre fichier signature, puis il le ractualise ensuite selon l'intervalle indiqu. Si vous voulez que le tampon apparaisse sur une ligne diffrente, ditez simplement le fichier de signature et dplacez le tampon de mise  l'heure  la ligne souhaite. A partir le l, UpdSig effectuera sa mise  jour au nouvel emplacement du tampon .


Installer XupdSig
==================

L'installation dpend du client mail/news utilis. Je veux montrer ici par un exemple, comment procder  son 'installation dans PMMail:

Premirement, copiez XUdSig.exe dans un rpertoire quelconque, mais figurant dans la ligne PATH de votre CONFIG.SYS, de prfrence dans X:\OS2\APPS;
Par dfaut le texte du message est :

This OS/2 system uptime is

Vos pouvez le modifier en dfinissant une nouvelle variable d'environnement dans votre fichier CONFIG.SYS :

SET XUPDSIG=votre propre texte

Maintenant,  dans PMMail, dans le menu "account", ouvrez le notebook "Account Settings", page "Rexx". Slectionnez "MessageSendExit", et entrez "XUpdSig.EXE" dans la bote de texte. N'activez pas  "Execute Script in Foreground"!

Finalement, ouvrez la page "Signature" et ajoutez la ligne "UpTimeMessage"  un endroit de votre signature, o le tampon de mise  l'heure doit apparaitre.

Rptez cette procdure  pour chacun de vos comptes Mail que vous souhaitez faire fonctionner avec XUpdSig.


le problme des "49-jours"
=====================

Le compilateur TopSpeed utilis pour le dveloppement ne sait crer que des applications 16-bits. Ainsi, comme il n'y a qu'un compteur 32 bits  disponible pour compter lesmillisecondes coules depuis le dmarrage du systme. la capacit de ce compteur sera dpasse aprs approximativement 49 jours et 17 heures,  et repartira alors de zro. J'ai implment un compteur interne de dpassement dans UpdSig, qui est increment de 1  chaque occurence de dpassement de capacit. Je peux utiliser 10 bits de ce compteur de dpassement, ce qui correspond approximately  50.000 jours avant un prochain dpassement. Cel veut dire env. 137 ans, ce qui devrait suffire :-(

Au cas o UpdSig doit tre dmarr sur une machine en fonctionnement depuis plus de 49 jours, vous pouvez lui indiquer  l'aide du paramtre OffsetInDays,  de combien de jours il doit incrmenter  l'heure systme.  Sinon mettez simplement la valeur 0  cet endroit. Ne discutez pas :-))
(C'est la raison pour laquelle cette option ne figurait pas dans les versions prcdentes)


Internals
=========

UpdSig and XupdSig ont t crits en TopSpeed Modula-2 et sont des programmes OS/2 16-bits. UpdSig est un programme en multithreading  ne causant ainsi quasiment pas de charge systme.

Eneregistrement
===========

UpdSig et XUpdSig sont des freeware et peuvent tre utiliss librement par tout un chacun, aussi longtemps que ces programmes et leur documentation ne sont pas modifis.
Si vous utilisez l'un de ces programmes de faon rgulire, un petit email de votre part serait le bienvenu :

email : p.engels@gmx.de
URL   : http://www.uni-bonn.de/~uzs0ad


Legal Disclaimer:
=================
Permission est donne  tout individu ou toute institution, d'utiliser, de copier ou de redistribuer ces excutables aussi longtemps qu'ils ne sont pas modifis, ni vendus pour en tirer profit.
UpdSig et XupdSig sont fournis TEL QUEL et ne disposent d'aucune garantie d'aucune sorte, ni expresse ni implicite. En aucune manire, le dtendeur du copyright ne peut tre tenu pour responsable pour des dommages rsultant de l'utilisation de ces logiciels.

Have fun with UpdSig!

Peter Engels, Juillet 1999
